import {useEffect, useState} from "react";
import axios from "axios";
import {GET_CONFIG} from "@/core/data/apiRoutes";
import {ConfigProvider} from "@/lib/app/contexts/config";

const ConfigApp = ({children}) => {
    const [error, setError] = useState(false)
    const [config, setConfig] = useState()

    useEffect(() => {
        const fetchConfig = async () => {
            try {
                const response = await axios(GET_CONFIG)
                setConfig(response.data)
            } catch (error) {
                setError(true)
            }
        }

        fetchConfig()

    }, []);

    return (
        <ConfigProvider config={config || {}}>{error ? <>Error request config</> : config && children}</ConfigProvider>)
}

export default ConfigApp